#!/bin/sh
#
# Download and build Google's sgabios, then create a .deb 'qemu-sgabios'
# which drops the ROM into qemu's ROM directory for use with '-device sga'.
#
# author: Jim Ursetto (http://3e8.org)
# license: public domain
# requires: fpm (https://github.com/jordansissel/fpm)

set -e

DIR=sgabios-read-only

svn checkout http://sgabios.googlecode.com/svn/trunk/ $DIR
cd $DIR
umask 022
make
cd ..

fpm -s dir -t deb -n qemu-sgabios -v 0+svn$(svnversion $DIR) -a all \
    --license Apache2.0 --deb-user=root --deb-group=root \
    --url http://code.google.com/p/sgabios \
    --prefix /usr/share/qemu \
    -C $DIR sgabios.bin

